Back to Neko

Get Control Status

webpage/docs/api/control-status.api.mdx

3.1.41.6 KB
Original Source

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint"; import ParamsDetails from "@theme/ParamsDetails"; import RequestSchema from "@theme/RequestSchema"; import StatusCodes from "@theme/StatusCodes"; import OperationTabs from "@theme/OperationTabs"; import TabItem from "@theme/TabItem"; import Heading from "@theme/Heading";

<Heading as={"h1"} className={"openapi__heading"} children={"Get Control Status"}

</Heading>

<MethodEndpoint method={"get"} path={"/api/room/control"} context={"endpoint"}

</MethodEndpoint>

Retrieve the current control status of the room.

<ParamsDetails parameters={undefined}

</ParamsDetails>

<RequestSchema title={"Body"} body={undefined}

</RequestSchema>

<StatusCodes id={undefined} label={undefined} responses={{"200":{"description":"Control status retrieved successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"has_host":{"type":"boolean","description":"Indicates if there is a host currently."},"host_id":{"type":"string","description":"The ID of the current host, if any."}},"title":"ControlStatus"}}}},"401":{"description":"The request requires user authentication.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Detailed error message."}},"title":"ErrorMessage"}}}},"403":{"description":"The server understood the request, but refuses to authorize it.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Detailed error message."}},"title":"ErrorMessage"}}}}}}

</StatusCodes>